/*
 * Copyright (c) 2005-2010 KOM – Multimedia Communications Lab
 *
 * This file is part of Simonstrator.KOM.
 * 
 * Simonstrator.KOM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 * 
 * PeerfactSim.KOM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with PeerfactSim.KOM.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package de.tudarmstadt.maki.simonstrator.api.uavsupport.communication;

import de.tudarmstadt.maki.simonstrator.api.common.graph.INodeID;
import de.tudarmstadt.maki.simonstrator.api.component.network.NetworkComponent.NetInterfaceName;
import de.tudarmstadt.maki.simonstrator.api.component.overlay.OverlayContact;

/**
 * Container for nodes with multiple network interfaces containing the
 * respective {@link OverlayContact}s.
 * 
 * @author Julian Zobel
 *
 */
public interface ConnectionInformation {

	public void addConnectionInformation(NetInterfaceName networkInterface, OverlayContact contact);

	public boolean hasConnectionInformation(NetInterfaceName networkInterface);

	public boolean hasConnectionInformation(OverlayContact contact);

	public OverlayContact getConnectionInformation(NetInterfaceName networkInterface);

	public INodeID getID();

}
